Subject: bug#4542: doc bug in lisp/comint.el

From: Devon Sean McCullough <[email-masked]>
Date: Wed, 23 Sep 2009 19:47:23 -0700 (PDT)

Three lines in comint.el read like a hilarious game of "telephone" ...

STARTFILE is the name of a file to send the contents of to the process.
STARTFILE is the name of a file to send the contents of the process to.
Runs the given COMMAND with SWITCHES with output to STARTFILE.

... going from confusing to incoherent to false.  Patch follows.

		Peace
			--Devon
	 /~\
	 \ /	Health Care
	  X 	not warfare
	 / \

--- comint.el.~1.392.~	2009-08-30 15:24:05.000000000 -0700
+++ comint.el	2009-09-23 18:01:50.000000000 -0700
@@ -686,7 +686,7 @@
 via `start-file-process', or a cons pair of the form (HOST . SERVICE) denoting
 a TCP connection to be opened via `open-network-stream'.  If there is already
 a running process in that buffer, it is not restarted.  Optional fourth arg
-STARTFILE is the name of a file to send the contents of to the process.
+STARTFILE names a file of initial input to send to the process.
 
 If PROGRAM is a string, any more args are arguments to PROGRAM."
   (or (fboundp 'start-file-process)
@@ -709,7 +709,7 @@
 via `start-file-process', or a cons pair of the form (HOST . SERVICE) denoting
 a TCP connection to be opened via `open-network-stream'.  If there is already
 a running process in that buffer, it is not restarted.  Optional third arg
-STARTFILE is the name of a file to send the contents of the process to.
+STARTFILE names a file of initial input to send to the process.
 
 If PROGRAM is a string, any more args are arguments to PROGRAM."
   (apply #'make-comint-in-buffer name nil program startfile switches))
@@ -728,7 +728,7 @@
 
 (defun comint-exec (buffer name command startfile switches)
   "Start up a process named NAME in buffer BUFFER for Comint modes.
-Runs the given COMMAND with SWITCHES with output to STARTFILE.
+Runs the given COMMAND with SWITCHES and initial input from STARTFILE.
 Blasts any old process running in the buffer.  Doesn't set the buffer mode.
 You can use this to cheaply run a series of processes in the same Comint
 buffer.  The hook `comint-exec-hook' is run after each exec."
@@ -746,7 +746,7 @@
       ;; Jump to the end, and set the process mark.
       (goto-char (point-max))
       (set-marker (process-mark proc) (point))
-      ;; Feed it the startfile.
+      ;; First feed it from startfile.
       (cond (startfile
 	     ;;This is guaranteed to wait long enough
 	     ;;but has bad results if the comint does not prompt at all